#

API Docs for: v2.11.1
Show: Inherited Protected Private Deprecated

# Ember.Test.Adapter Class

Defined in: `packages/ember-testing/lib/adapters/adapter.js:10`
Module: ember-testing
Parent Module: ember

The primary purpose of this class is to create hooks that can be implemented by an adapter for various test frameworks.

- Index
- Methods

## Item Index

### Methods

- asyncEnd
- asyncStart
- exception

## Methods

### `asyncEnd`

() public

Defined in `packages/ember-testing/lib/adapters/adapter.js:30`

This callback will be called whenever an async operation has completed.

### `asyncStart`

() public

Defined in `packages/ember-testing/lib/adapters/adapter.js:19`

This callback will be called whenever an async operation is about to start.

Override this to call your framework's methods that handle async operations.

### `exception`

(

- `error`

)
public

Defined in `packages/ember-testing/lib/adapters/adapter.js:38`

Override this method with your testing framework's false assertion. This function is called whenever an exception occurs causing the testing promise to fail.

QUnit example:

      exception: function(error) {
        ok(false, error);
      };

#### Parameters:

- `error` String

  The exception to be raised.